MagickMind
  1. End-Users
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
          POST
        • Get End-User by ID
          GET
        • Update End-User
          PUT
        • Query End-Users
          GET
        • Delete End-User
          DELETE
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
        • Invalidate Cache
  1. End-Users

Create End-User

Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
POST
/v1/end-users

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.magickmind.ai/v1/end-users' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Roy Bosco",
    "external_id": "7c718ec1a65cb7b75eaad1d6"
}'
Response Response Example
{
    "id": "6979e85f6c264301cea8ee2e",
    "name": "Roy Bosco",
    "external_id": "",
    "tenant_id": "692406db9b2e89397665b156",
    "created_by": "692406db9b2e89397665b156",
    "updated_by": "692406db9b2e89397665b156",
    "created_at": "2026-01-28T10:43:43Z",
    "updated_at": "2026-01-28T10:43:43Z"
}
Previous
Refresh Token
Next
Get End-User by ID
Built with